org.hibernate.validator.internal.engine.messageinterpolation.parser

## Class TokenCollector

- java.lang.Object
- - org.hibernate.validator.internal.engine.messageinterpolation.parser.TokenCollector

-     public class TokenCollector
      extends Object

  Used to creates a list of tokens from a message descriptor.
  Author:
    Hardy Ferentschik
  See Also:
    `Token`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `BEGIN_TERM`
    `static char` | `EL_DESIGNATOR`
    `static char` | `END_TERM`
    `static char` | `ESCAPE_CHARACTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenCollector(String originalMessageDescriptor, InterpolationTermType interpolationTermType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendToToken(char character)`
    `InterpolationTermType` | `getInterpolationType()`
    `String` | `getOriginalMessageDescriptor()`
    `List<Token>` | `getTokenList()`
    `void` | `makeELToken()`
    `void` | `makeParameterToken()`
    `void` | `next()`
    `void` | `parse()`
    `void` | `terminateToken()`
    `void` | `transitionState(ParserState newState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BEGIN_TERM

          public static final char BEGIN_TERM

      See Also:
        Constant Field Values

    - #### END_TERM

          public static final char END_TERM

      See Also:
        Constant Field Values

    - #### EL_DESIGNATOR

          public static final char EL_DESIGNATOR

      See Also:
        Constant Field Values

    - #### ESCAPE_CHARACTER

          public static final char ESCAPE_CHARACTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TokenCollector

          public TokenCollector(String originalMessageDescriptor,
                        InterpolationTermType interpolationTermType)
                         throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

  - ### Method Detail

    - #### terminateToken

          public void terminateToken()

    - #### appendToToken

          public void appendToToken(char character)

    - #### makeParameterToken

          public void makeParameterToken()

    - #### makeELToken

          public void makeELToken()

    - #### next

          public void next()
                    throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

    - #### parse

          public void parse()
                     throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

    - #### transitionState

          public void transitionState(ParserState newState)

    - #### getInterpolationType

          public InterpolationTermType getInterpolationType()

    - #### getTokenList

          public List<Token> getTokenList()

    - #### getOriginalMessageDescriptor

          public String getOriginalMessageDescriptor()

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved